Novices Performing Miracles

    @0x4447/eslint-plugin-0x4447

    1.0.1 • Public • Published

    0x4447 Eslint Plugin for Function Padding

    A set of custom Eslint rules created by 0x4447 LLC to maximize code clarity, so you can focus on solving the problem, and not mentally parsing the code.

    Installation

    You'll first need to install ESLint:

    ] npm install eslint --save-dev
    

    Next, install the plug-in itself:

    ] npm install @0x4447/eslint-plugin-0x4447 --save-dev
    

    Note: If you installed ESLint globally (using the -g flag) then you must also install @0x4447/eslint-plugin-0x4447 globally.

    Current Rules

    • function-padding: Require function to have padding at the top and bottom of the blocks: Documentation.

    Usage

    Add 0x4447 to the plugins section of your .eslintrc configuration file.

    {
        "plugins": [
            "@0x4447/eslint-plugin-0x4447"
        ]
    }

    Then configure the rules you want to use under the rules section.

    {
        "rules": {
            "@0x4447/0x4447/<rule-name>": "error"
        }
    }

    The End

    If you enjoyed this project, please consider giving it a 🌟. And check out our 0x4447 GitHub account, where we have additional resources that you might find useful or interesting.

    Sponsor 🎊

    This project is brought to you by 0x4447 LLC, a software company specializing in build custom solutions on top of AWS. Find out more by following this link: https://0x4447.com or, say hello@0x4447.email.

    Install

    npm i @0x4447/eslint-plugin-0x4447

    DownloadsWeekly Downloads

    3

    Version

    1.0.1

    License

    MIT

    Unpacked Size

    7.9 kB

    Total Files

    7

    Last publish

    Collaborators

    • davidgatti